Bug 446544 - Xorg unusable on Matrox MGA 400
Summary: Xorg unusable on Matrox MGA 400
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-15 00:05 UTC by Wolfgang Rupprecht
Modified: 2018-04-11 13:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-05 21:48:18 UTC


Attachments (Terms of Use)
xorg log file (40.14 KB, text/plain)
2008-05-15 00:05 UTC, Wolfgang Rupprecht
no flags Details

Description Wolfgang Rupprecht 2008-05-15 00:05:22 UTC
Description of problem:

My Matrox MGA 400 framebuffer has severe artifacts under F9.  It worked
perfectly under F8 just before the "upgrade".

Version-Release number of selected component (if applicable):

xorg-x11-drv-mga.i386                    1.4.8-1.fc9 

How reproducible:
100%

Steps to Reproduce:
1. boot
2. notice the mangled screen.  The effect is a bit similar to 
   a TV with screwed up interlace.  Alternate lines are over by approx.
   an inch (at ~100dpi)
  
Actual results:
mangled screen output

Expected results:
clean screen output

Additional info:
strangely the ascii terminals on alt-ctl-Fn also have a bug (perhaps related?)
Every other letter is missing.  This is also a new bug since fedora-8.

Comment 1 Wolfgang Rupprecht 2008-05-15 00:05:22 UTC
Created attachment 305420 [details]
xorg log file

Comment 2 Wolfgang Rupprecht 2008-05-15 00:08:58 UTC
I forgot to mention, the garbled graphics also exists in the fedora-9 installer.
 It is possible to install anyway, which I did, hoping it was just an installer
problem.

Comment 3 Wolfgang Rupprecht 2009-05-05 18:24:36 UTC
this has been fixed for a while in the current fedora.  Feel free to close.

Comment 4 Matěj Cepl 2009-05-05 21:48:18 UTC
Closing per comment 3


Note You need to log in before you can comment on or make changes to this bug.